Package org.apache.wiki.workflow

## Class NoSuchOutcomeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.wiki.api.exceptions.WikiException
      - - org.apache.wiki.workflow.NoSuchOutcomeException

All Implemented Interfaces:
  `java.io.Serializable`

    public class NoSuchOutcomeException
    extends WikiException

Exception thrown when an attempt is made to find an Outcome that does not exist.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`NoSuchOutcomeException​(java.lang.String message)` Constructs a new exception.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### NoSuchOutcomeException

    public NoSuchOutcomeException​(java.lang.String message)

Constructs a new exception.

Parameters:
  `message` - the message